# Update service needed entry based on the provided request.

Endpoint: PATCH /tickets/service-needed/{serviceNeededId}
Version: v3
Security: oauth2

## Path parameters:

  - `serviceNeededId` (string, required)
    The ID of the service needed.

## Request fields (application/json):

  - `name` (null | string)
    Gets or sets the name of the service needed.

  - `categoryId` (null | string)
    Gets or sets the category Id of the service needed.

  - `isActive` (null | boolean)
    Gets or sets a value indicating whether the service needed is active.

  - `locations` (null | array)
    Gets or sets the space twin Ids associated with the service needed.

## Response 200 fields (application/json):

  - `id` (string)
    Gets or sets the unique identifier for the service needed.

  - `name` (null | string)
    Gets or sets the name of the service needed.

  - `categoryId` (null | string)
    Gets or sets the category Id of the service needed.

  - `locations` (null | array)
    Gets or sets the locations associated with the service needed.

  - `isActive` (boolean)
    Gets or sets a value indicating whether service needed is active or not.

## Response 400 fields (application/json):

  - `type` (null | string)

  - `title` (null | string)

  - `status` (null | integer)

  - `detail` (null | string)

  - `instance` (null | string)

## Response 404 fields (application/json):

  - `type` (null | string)

  - `title` (null | string)

  - `status` (null | integer)

  - `detail` (null | string)

  - `instance` (null | string)

